import {reactive} from 'vue'
import {Contact, Tag} from "../models";



const data: Contact[] = [
    {
        id: 1,
        lastname: 'Doe',
        firstname: 'John',
        mail: 'jdoe@amavada.fr',
        notes: [],
        tags:[{label:'plop'},{label:'plip'}]
    },

    {
        id: 2,
        lastname: 'Doe',
        firstname: 'Pierre',
        mail: 'ppierre@amavada.fr',
        notes: [],
        tags:[{label:'plap'}]
    },

    {
        id: 3,
        lastname: 'Doe',
        firstname: 'Paul',
        mail: 'dpaul@amavada.fr',
        notes: [],
        tags:[{label:'plup'}]
    },

    {
        id: 4,
        lastname: 'Dae',
        firstname: 'Jacques',
        mail: 'jdae@amavada.fr',
        notes: [],
        tags:[]
    }
]


const state = reactive({
    contacts: data,
    contactLabel: 'Kôtelette',
    tags : [
        {
            label : 'plop',
        },
        {
            label : 'plip',
        },
        {
            label : 'plup',
        },
        {
            label : 'plap',
        }
    ],
    async init() {
    }

})


export const useKaradocStore = () => {

    const addContact = (contact: Contact) => {
        state.contacts.push(contact)
    }

    const deleteContact = (contact: Contact) => {
        state.contacts.splice(state.contacts.indexOf(contact),1)
    }

    const addTag = (tag : Tag) => {
        state.tags.push(tag);
    }

    const deleteTag = (tag: Tag) => {
        state.tags.splice(state.tags.indexOf(tag),1)
    }



    return {
        state,
        addContact,
        addTag,
        deleteContact,
        deleteTag,
    }
}


